Package org.apache.maven.scm.provider.cvslib.cvsjava.command.login

## Class CvsJavaLoginCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.login.AbstractLoginCommand
    - - org.apache.maven.scm.provider.cvslib.command.login.CvsLoginCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.login.CvsJavaLoginCommand

All Implemented Interfaces:
  `Command`

    public class CvsJavaLoginCommand
    extends CvsLoginCommand

Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`CvsJavaLoginCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isCvsNT()`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.login.CvsLoginCommand

`executeLoginCommand`

### Methods inherited from class org.apache.maven.scm.command.login.AbstractLoginCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CvsJavaLoginCommand

    public CvsJavaLoginCommand()

### Method Detail

#### isCvsNT

    public boolean isCvsNT()
                    throws ScmException

Overrides:
  `isCvsNT` in class `CvsLoginCommand`
Throws:
  `ScmException`